prepare-deployment-server:
    stage: prepare-deployment-server
    extends:
        - .npm-image
        - .cache
        - .artifactory-creds
    script:
        - cd deployment/server
        - yarn install
    
lint-deployment-server:
    stage: lint
    extends:
        - .npm-image
        - .cache
    script:
        - cd deployment/server
        - yarn lint

build-deployment-server:
    stage: build-deployment-server
    extends:
        - .npm-image
        - .cache
        - .artifacts
    script:
        - cp -r xand-ui/storybook-static deployment/server/public
        - cd deployment/server
        - yarn build

build-k8s-release:
    stage: build-deployment-server
    extends:
        - .kustomize-image
        - .cache
        - .artifacts
    script:
        - make build-k8s K8S_TARGET=ingress
    only:
        refs: 
            - master
        changes:
            - "deployment/kube/overlays/ingress/**/*"

# build-k8s-manual:
#     stage: build-deployment-server
#     extends:
#         - .kustomize-image
#         - .cache
#         - .artifacts
#     script:
#         - make build-k8s K8S_TARGET=ingress
#     when: manual